Dict.h File Reference

Defines the Dict class. More...

`#include <RDGeneral/export.h>`
`#include <map>`
`#include <string>`
`#include <vector>`
`#include "RDValue.h"`
`#include "Exceptions.h"`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/lexical_cast.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`

Go to the source code of this file.

## Classes

class | RDKit::Dict
| The `Dict` class can be used to store objects of arbitrary type keyed by `strings`. More...
struct | RDKit::Dict::Pair

## Namespaces

| RDKit
| Std stuff.

## Typedefs

typedef std::vector< std::string > | RDKit::STR_VECT

## Functions

template<>
std::string | RDKit::Dict::getVal< std::string > (const std::string &what) const

## Detailed Description

Defines the Dict class.

Definition in file Dict.h.